Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata
GET
/
get-investor-info
Get investor information
curl --request GET \ --url https://api.sandbox.brickken.com/get-investor-info \ --header 'x-api-key: <api-key>'
Retrieves an investor profile, KYC/compliance state, and investments for one token. The response is not a whitelist lookup; use Get Whitelist Status for the on-chain whitelist.
An array containing the user's investment details.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Brickken Documentation","colors":{"primary":"#4C82df","light":"#4C82df","dark":"#4C82df"},"logo":{"light":"https://mintcdn.com/brickken/UYpLPKOSKNI6CnjX/logo/light.svg?fit=max\u0026auto=format\u0026n=UYpLPKOSKNI6CnjX\u0026q=85\u0026s=192d7d8eaa4997ed5fe5ebf73e4e6aee","dark":"https://mintcdn.com/brickken/UYpLPKOSKNI6CnjX/logo/dark.svg?fit=max\u0026auto=format\u0026n=UYpLPKOSKNI6CnjX\u0026q=85\u0026s=a65d0b5432e2917c02ee6ed31984af6f"},"favicon":"https://mintcdn.com/brickken/UYpLPKOSKNI6CnjX/favicon.svg?fit=max\u0026auto=format\u0026n=UYpLPKOSKNI6CnjX\u0026q=85\u0026s=51afb98395641cf97bb79fb30a48d4b1","navbar":{"links":[{"href":"https://docs.brickken.com/get-started/request-api-key","label":"Get an API key"},{"href":"mailto:support@brickken.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://dapp.brickken.com/en/dashboard/home"}},"footer":{"socials":{"x":"https://x.com/brickken","instagram":"https://www.instagram.com/brickken","facebook":"https://www.facebook.com/Brickken","linkedin":"https://www.linkedin.com/company/brickken","youtube":"https://www.youtube.com/@Brickken","discord":"https://discord.com/invite/FBsBVsBqxV"}},"contextual":{"options":[{"title":"Documentation","description":"Open the Brickken documentation home.","icon":"book-open-cover","href":"https://docs.brickken.com"},{"title":"Community","description":"Join the Brickken community on Discord.","icon":"discord","href":"https://discord.com/invite/brickken-official-community-851756929268056086"},{"title":"Blog","description":"Read the Brickken blog.","icon":"newspaper","href":"https://www.brickken.com/blog"}],"display":"toc"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Authentication","icon":"key","href":"/get-started/authentication"},{"anchor":"Request an API key","icon":"envelope","href":"/get-started/request-api-key"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"brickken","hasAudioNarration":false,"actualSubdomain":"brickken","customDomains":["docs.brickken.com"],"gitSource":{"type":"github","owner":"fbrickken","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a9844f4157c701ea07b7cc9","collectionId":"7f2c4ef2-df49-47ac-9084-833a740401c6","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a9844f4157c701ea07b7cc9"},"entitlements":{},"buildId":"6a9844f4157c701ea07b7cc9","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Agentic API","count":36},{"language":"default","tag":"Dapp API","count":34},{"language":"default","tag":"SDK","count":14},{"language":"default","tag":"Prepare Transactions","count":13},{"language":"default","tag":"Read Endpoints","count":13},{"language":"default","tag":"CLI","count":13},{"language":"default","tag":"RAMS Mandates (ERC-8226)","count":11},{"language":"default","tag":"Overview","count":8},{"language":"default","tag":"Get Started","count":8},{"language":"default","tag":"Guides","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/endpoint/get-investors-info","slug":"/api-reference/endpoint/get-investors-info","pageMetadata":{"title":"Get Investor Information","openapi":"GET /get-investor-info","description":"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata","href":"/api-reference/endpoint/get-investors-info"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Retrieves an investor profile, KYC/compliance state, and investments for one token. The response is not a whitelist lookup; use `,_jsx(_components.a,{href:`/api-reference/endpoint/get-whitelist-status`,children:`Get Whitelist Status`}),` for the on-chain whitelist.`]}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`tokenSymbol`}),` (required): Token symbol`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`email`}),` (required): Investor email`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`example`,children:`Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.sandbox.brickken.com/get-investor-info?tokenSymbol=EXMPL\u0026email=investor@example.com'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'x-api-key: YOUR_API_KEY'`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`26`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`26`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"investor@example.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"firstName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jane\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lastName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Doe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kycUrl\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://kyc.example.com/user/123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"profilePicture\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"walletAddress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0x1111111111111111111111111111111111111111\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INVESTOR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"needKyc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kycStatus\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"completed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kycResult\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GREEN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"complianceStatus\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"APPROVED\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"investments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"b8341970-b99d-4c75-929c-854ab746723e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-08-10T12:00:00.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"txHash\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0x...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amountInUSDT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"100.0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tokenSymbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EXMPL\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offeringId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a5232594-3f97-47d0-b362-491caac9388f\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offeringName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Round A\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`complianceStatus`}),` is one of `,_jsx(_components.code,{children:`NOT_REQUIRED`}),`, `,_jsx(_components.code,{children:`NOT_STARTED`}),`, `,_jsx(_components.code,{children:`PENDING`}),`, `,_jsx(_components.code,{children:`APPROVED`}),`, `,_jsx(_components.code,{children:`REJECTED`}),`, or `,_jsx(_components.code,{children:`ON_HOLD`}),` and is derived from `,_jsx(_components.code,{children:`needKyc`}),`, `,_jsx(_components.code,{children:`kycStatus`}),`, and `,_jsx(_components.code,{children:`kycResult`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Investor Information","openapi":"GET /get-investor-info","description":"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata","href":"/api-reference/endpoint/get-investors-info"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Query Parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Example","slug":"example","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get investor information","tags":["Endpoints"],"description":"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata","security":["bcdeac23-fcd6-4247-b3f2-302e259b36fc"],"parameters":["f8e4fb3a-ea7d-4637-87d1-d926cb941a28","33d0d8ef-3542-4925-9287-ff3e719a4d80"],"responses":{"200":"f927a47e-4d17-4a55-b910-11bfb3328a5c"},"method":"get","type":"path","servers":["c49d4b74-8565-45d3-9488-a1db87f8218a","d17a9f2b-96ea-4c3e-a855-b25208a2a781"],"path":"/get-investor-info","baseUrlOptions":["https://api.sandbox.brickken.com","https://api.brickken.com"],"title":"Get investor information","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"f8e4fb3a-ea7d-4637-87d1-d926cb941a28":{"name":"tokenSymbol","in":"query","required":true,"schema":{"type":"string","isRequired":true,"description":"The symbol of the token.","uniqueKey":"","typeLabel":"string"},"description":"The symbol of the token."},"33d0d8ef-3542-4925-9287-ff3e719a4d80":{"name":"email","in":"query","required":true,"schema":{"type":"string","isRequired":true,"description":"The email address of the investor.","uniqueKey":"","typeLabel":"string"},"description":"The email address of the investor."}},"responses":{"f927a47e-4d17-4a55-b910-11bfb3328a5c":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","format":"email","description":"User's email address.","example":"investor@example.com","uniqueKey":"email","typeLabel":"string\u003cemail>"},"firstName":{"type":"string","description":"User's first name.","example":"John","uniqueKey":"firstName","typeLabel":"string"},"lastName":{"type":"string","description":"User's last name (derived from firstSurname).","example":"Doe","uniqueKey":"lastName","typeLabel":"string"},"kycUrl":{"type":"string","format":"url","description":"URL related to the user's KYC status/process.","example":"https://kyc.example.com/user/123","uniqueKey":"kycUrl","typeLabel":"string\u003curl>"},"profilePicture":{"type":"string","format":"url","description":"URL or identifier for the user's profile picture.","example":"https://images.example.com/profiles/john_doe.jpg","uniqueKey":"profilePicture","typeLabel":"string\u003curl>"},"walletAddress":{"type":"string","description":"User's associated wallet address.","example":"0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B","uniqueKey":"walletAddress","typeLabel":"string"},"type":{"type":"string","description":"Type classification of the user.","example":"INVESTOR_INDIVIDUAL","uniqueKey":"type","typeLabel":"string"},"needKyc":{"type":"boolean","description":"Whether this user must complete KYC.","uniqueKey":"needKyc","typeLabel":"boolean"},"kycStatus":{"oneOf":[{"type":"string","description":"Raw KYC workflow status.","uniqueKey":"kycStatus.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw KYC workflow status.","uniqueKey":"kycStatus.oneOf.1","typeLabel":"null"}],"uniqueKey":"kycStatus","typeLabel":"string | null"},"kycResult":{"oneOf":[{"type":"string","description":"Raw KYC decision result.","uniqueKey":"kycResult.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw KYC decision result.","uniqueKey":"kycResult.oneOf.1","typeLabel":"null"}],"uniqueKey":"kycResult","typeLabel":"string | null"},"complianceStatus":{"type":"string","enum":["NOT_REQUIRED","NOT_STARTED","PENDING","APPROVED","REJECTED","ON_HOLD"],"description":"Normalized compliance state derived from the KYC requirement, status, and result.","uniqueKey":"complianceStatus","typeLabel":"enum\u003cstring>"},"investments":{"type":"array","description":"An array containing the user's investment details.","items":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the investment (from inv.uuid).","example":"b8341970-b99d-4c75-929c-854ab746723e","uniqueKey":"investments.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"date":{"type":"string","format":"date-time","description":"Timestamp when the investment was created (from inv.createdAt).","example":"2024-06-13T08:20:00.656Z","uniqueKey":"investments.items.[INDEX].date","typeLabel":"string\u003cdate-time>"},"txHash":{"oneOf":[{"type":"string","description":"Transaction hash, if available (from inv.investmentTransaction?.txHash).","example":"0x123abc456def789...","uniqueKey":"investments.items.[INDEX].txHash.oneOf.0","typeLabel":"string"},{"type":"null","description":"Transaction hash, if available (from inv.investmentTransaction?.txHash).","example":"0x123abc456def789...","uniqueKey":"investments.items.[INDEX].txHash.oneOf.1","typeLabel":"null"}],"uniqueKey":"investments.items.[INDEX].txHash","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","description":"Symbol of the currency used for payment (from inv.paymentToken?.symbol).","example":"USDT","uniqueKey":"investments.items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"type":"null","description":"Symbol of the currency used for payment (from inv.paymentToken?.symbol).","example":"USDT","uniqueKey":"investments.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"investments.items.[INDEX].currency","typeLabel":"string | null"},"amountInUSDT":{"type":"string","description":"Invested amount, represented in USDT value (from inv.investedAmount).","example":"100.0","uniqueKey":"investments.items.[INDEX].amountInUSDT","typeLabel":"string"},"status":{"type":"string","description":"Status of the investment (from inv.status).","example":"success","uniqueKey":"investments.items.[INDEX].status","typeLabel":"string"},"tokenSymbol":{"oneOf":[{"type":"string","description":"Symbol of the token acquired in the offering (from inv.sto?.company?.tokenSymbol).","example":"ABC","uniqueKey":"investments.items.[INDEX].tokenSymbol.oneOf.0","typeLabel":"string"},{"type":"null","description":"Symbol of the token acquired in the offering (from inv.sto?.company?.tokenSymbol).","example":"ABC","uniqueKey":"investments.items.[INDEX].tokenSymbol.oneOf.1","typeLabel":"null"}],"uniqueKey":"investments.items.[INDEX].tokenSymbol","typeLabel":"string | null"},"offeringId":{"oneOf":[{"type":"string","format":"uuid","description":"Unique identifier of the STO/offering (from inv.sto?.uuid).","example":"a5232594-3f97-47d0-b362-491caac9388f","uniqueKey":"investments.items.[INDEX].offeringId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"Unique identifier of the STO/offering (from inv.sto?.uuid).","example":"a5232594-3f97-47d0-b362-491caac9388f","uniqueKey":"investments.items.[INDEX].offeringId.oneOf.1","typeLabel":"null"}],"uniqueKey":"investments.items.[INDEX].offeringId","typeLabel":"string\u003cuuid> | null"},"offeringName":{"oneOf":[{"type":"string","description":"Name of the STO/offering (from inv.sto?.name).","example":"Round A","uniqueKey":"investments.items.[INDEX].offeringName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the STO/offering (from inv.sto?.name).","example":"Round A","uniqueKey":"investments.items.[INDEX].offeringName.oneOf.1","typeLabel":"null"}],"uniqueKey":"investments.items.[INDEX].offeringName","typeLabel":"string | null"}},"type":"object","uniqueKey":"investments.items.[INDEX]","typeLabel":"object"},"uniqueKey":"investments","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"email":"investor@example.com","firstName":"John","lastName":"Doe","kycUrl":"https://kyc.example.com/user/123","profilePicture":"https://images.example.com/profiles/john_doe.jpg","walletAddress":"0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B","type":"INVESTOR_INDIVIDUAL","needKyc":true,"kycStatus":"\u003cstring>","kycResult":"\u003cstring>","complianceStatus":"NOT_REQUIRED","investments":[{"id":"b8341970-b99d-4c75-929c-854ab746723e","date":"2024-06-13T08:20:00.656Z","txHash":"0x123abc456def789...","currency":"USDT","amountInUSDT":"100.0","status":"success","tokenSymbol":"ABC","offeringId":"a5232594-3f97-47d0-b362-491caac9388f","offeringName":"Round A"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"bcdeac23-fcd6-4247-b3f2-302e259b36fc":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]}}},"servers":{"c49d4b74-8565-45d3-9488-a1db87f8218a":{"url":"https://api.sandbox.brickken.com","description":"Sandbox Environment"},"d17a9f2b-96ea-4c3e-a855-b25208a2a781":{"url":"https://api.brickken.com","description":"Production Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"x-api-key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"brickken","siteName":"Brickken Documentation","title":"Get Investor Information - Brickken Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-11T06:10:47.612Z","originalFileLocation":"api-reference/endpoint/get-investors-info.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\">\u003cmeta data-mint-head name=\"application-name\" content=\"Brickken Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Investor Information - Brickken Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Brickken Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.brickken.com/api-reference/endpoint/get-investors-info\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://brickken.mintlify.app/_mintlify/api/og/v2?division=Read+Endpoints\u0026amp;title=Get+Investor+Information\u0026amp;description=Returns+detailed+information+about+an+individual+investor%2C+including+personal+details%2C+KYC+verification+link%2C+wallet+address%2C+investor+type%2C+and+a+list+of+all+p\u0026amp;theme=2a5dee1e52c4281f2511c0cb\u0026amp;signature=6f50f70c95e7caa80cabf23764d29bfd552d1a08c3df73632b1846c6b46bbed1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Investor Information - Brickken Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://brickken.mintlify.app/_mintlify/api/og/v2?division=Read+Endpoints\u0026amp;title=Get+Investor+Information\u0026amp;description=Returns+detailed+information+about+an+individual+investor%2C+including+personal+details%2C+KYC+verification+link%2C+wallet+address%2C+investor+type%2C+and+a+list+of+all+p\u0026amp;theme=2a5dee1e52c4281f2511c0cb\u0026amp;signature=6f50f70c95e7caa80cabf23764d29bfd552d1a08c3df73632b1846c6b46bbed1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/brickken/7zynTh_4u-m-NSjz/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Brickken Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4C82df\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.brickken.com/api-reference/endpoint/get-investors-info\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/get-investors-info.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.brickken.com/#organization\",\"name\":\"Brickken Documentation\",\"url\":\"https://docs.brickken.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/brickken/UYpLPKOSKNI6CnjX/logo/light.svg?fit=max\u0026auto=format\u0026n=UYpLPKOSKNI6CnjX\u0026q=85\u0026s=192d7d8eaa4997ed5fe5ebf73e4e6aee\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.brickken.com#website\",\"name\":\"Brickken Documentation\",\"url\":\"https://docs.brickken.com\",\"publisher\":{\"@id\":\"https://docs.brickken.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info#webpage\",\"url\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info\",\"name\":\"Get Investor Information\",\"description\":\"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\",\"dateModified\":\"2026-08-11T06:10:47.612Z\",\"isPartOf\":{\"@id\":\"https://docs.brickken.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Read Endpoints\",\"item\":\"https://docs.brickken.com/api-reference/endpoint/get-network-info\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Investor Information\",\"item\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info#apireference\",\"headline\":\"Get Investor Information\",\"name\":\"Get Investor Information\",\"description\":\"Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata\",\"url\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info\",\"mainEntityOfPage\":{\"@id\":\"https://docs.brickken.com/api-reference/endpoint/get-investors-info#webpage\"},\"dateModified\":\"2026-08-11T06:10:47.612Z\",\"publisher\":{\"@id\":\"https://docs.brickken.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.brickken.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Brickken Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Brickken Documentation","nav":{"global":{"anchors":[{"anchor":"Authentication","icon":"key","href":"/get-started/authentication"},{"anchor":"Request an API key","icon":"envelope","href":"/get-started/request-api-key"}]},"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":""}]},{"tab":"Dapp API","groups":[{"group":"Overview","pages":[{"title":"Dapp API","href":"/api-reference/introduction"},{"title":"Postman Collection","icon":"download","href":"/api-reference/postman"}]},{"group":"Guides","pages":[{"title":"Tokenize an asset and run an STO","icon":"route","href":"/api-reference/guides/tokenize-and-run-an-sto"},{"title":"Browser wallets","icon":"wallet","href":"/api-reference/guides/browser-wallets"},{"title":"Troubleshooting","icon":"stethoscope","href":"/api-reference/guides/troubleshooting"}]},{"group":"Prepare Transactions","pages":[{"title":"Prepare Transactions","openapi":"api-reference/openapi.json POST /prepare-transactions","href":"/api-reference/endpoint/create"},{"title":"newTokenization","openapi":"api-reference/prepare/newTokenization.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-newTokenization"},{"title":"mintToken","openapi":"api-reference/prepare/mintToken.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-mintToken"},{"title":"whitelist","openapi":"api-reference/prepare/whitelist.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-whitelist"},{"title":"burnToken","openapi":"api-reference/prepare/burnToken.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-burnToken"},{"title":"transferFrom","openapi":"api-reference/prepare/transferFrom.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-transferFrom"},{"title":"transferTo","openapi":"api-reference/prepare/transferTo.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-transferTo"},{"title":"approve","openapi":"api-reference/prepare/approve.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-approve"},{"title":"dividendDistribution","openapi":"api-reference/prepare/dividendDistribution.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-dividendDistribution"},{"title":"newSto","openapi":"api-reference/prepare/newSto.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-newSto"},{"title":"newInvest","openapi":"api-reference/prepare/newInvest.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-newInvest"},{"title":"claimTokens","openapi":"api-reference/prepare/claimTokens.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-claimTokens"},{"title":"closeOffer","openapi":"api-reference/prepare/closeOffer.json POST /prepare-transactions","href":"/api-reference/endpoint/prepare-closeOffer"}]},{"group":"Send Transactions","pages":[{"title":"Send Transactions","openapi":"POST /send-transactions","href":"/api-reference/endpoint/send"}]},{"group":"Read Endpoints","pages":[{"title":"Get Network Information","openapi":"GET /get-network-info","href":"/api-reference/endpoint/get-network-info"},{"title":"Get Tokenizer Information","openapi":"GET /get-tokenizer-info","href":"/api-reference/endpoint/get-tokenizer-info"},{"title":"Get Token Information","openapi":"GET /get-token-info","href":"/api-reference/endpoint/get-token-info"},{"title":"Get STOs","openapi":"GET /get-stos","href":"/api-reference/endpoint/get-stos"},{"title":"Get STO by ID","openapi":"GET /get-sto-by-id","href":"/api-reference/endpoint/get-sto-by-id"},{"title":"Get STO Balance","openapi":"GET /get-sto-balance","href":"/api-reference/endpoint/get-sto-balance"},{"title":"Get Investments by STO","openapi":"GET /get-investments-by-sto-id","description":"**Description:** This endpoint retrieves a list of investment transactions associated with a specific Security Token Offering (STO), identified by its UUID.\n\n**Headers:**\n\n- `x-api-key`: `YOUR_API_KEY`\n\n**Query Parameters:**\n\n- `tokenSymbol` (string): The symbol of the token.\n- `id` (string, format: uuid): The unique identifier of the STO for which to retrieve investments.","href":"/api-reference/endpoint/get-investments-by-sto"},{"title":"Get Investor Information","openapi":"GET /get-investor-info","href":"/api-reference/endpoint/get-investors-info"},{"title":"Get Whitelist Status","openapi":"GET /get-whitelist-status","description":"**Description:** Reads the whitelist flag of an address directly from the token contract.\n\n**Headers:**\n\n- `x-api-key`: `YOUR_API_KEY`\n\n**Query Parameters:**\n\n- `tokenSymbol` (string): The symbol of the token.\n- `address` (string): Wallet address to check. `investorAddress` is accepted as a legacy alias.","href":"/api-reference/endpoint/get-whitelist-status"},{"title":"Get Balance and Whitelist Status","openapi":"GET /get-balance-whitelist","href":"/api-reference/endpoint/get-balance-whitelist"},{"title":"Get Allowance","openapi":"GET /get-allowance","href":"/api-reference/endpoint/get-allowance"},{"title":"Get Dividend Distribution Info","openapi":"GET /get-dividend-distribution","href":"/api-reference/endpoint/get-dividend-distribution"},{"title":"Get Transaction Status","openapi":"GET /get-transaction-status","href":"/api-reference/endpoint/get-transaction-status"}]},{"group":"Token Documents","pages":[{"title":"Update Token Documentation","openapi":"PATCH /patch-token-docs","href":"/api-reference/endpoint/update-docs"}]},{"group":"KYC","pages":[{"title":"Create KYC Link","openapi":"POST /create-kyc-link","href":"/api-reference/endpoint/create-kyc-link"}]}]},{"tab":"Agentic API","pages":[{"title":"Agentic API","href":"/api-reference/endpoint/agentic-methods-x402"}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp/introduction"}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli/introduction"}]},{"tab":"SDK","pages":[{"title":"SDK","href":"/sdk/introduction"}]},{"tab":"Skill","pages":[{"title":"Skill","href":"/skill/introduction"}]}]},"basePath":"","title":"Get Investor Information - Brickken Documentation","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}